Package de.willuhn.jameica.hbci.passports.rdh

# Class KeyPasswordLoadDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.gui.dialogs.PasswordDialog
de.willuhn.jameica.hbci.passports.rdh.KeyPasswordLoadDialog

public class KeyPasswordLoadDialog extends de.willuhn.jameica.gui.dialogs.PasswordDialog
Dialog für die Eingabe eines Passwortes beim Laden des Schluessels.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.dialogs.PasswordDialog

`MAX_RETRIES`

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`KeyPasswordLoadDialog(org.kapott.hbci.passport.HBCIPassport passport, String password)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`checkPassword(String password)`
`protected void`
`extend(de.willuhn.jameica.gui.util.Container container)`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.PasswordDialog

`checkUsername, getData, getRemainingRetries, getUsername, onEscape, paint, passwordModified, setErrorText, setLabelText, setPassword, setShowPassword, setText, setUsername, setUsernameText`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyPasswordLoadDialog

public KeyPasswordLoadDialog(org.kapott.hbci.passport.HBCIPassport passport, String password)
ct.

Parameters:
  `passport` - optionale Angabe des Passports.
  `password` - das Vorgabe-Passwort.

## Method Details

### extend

protected void extend(de.willuhn.jameica.gui.util.Container container) throws Exception

Overrides:
  `extend` in class `de.willuhn.jameica.gui.dialogs.PasswordDialog`
Throws:
  `Exception`
See Also:
  - `PasswordDialog.extend(de.willuhn.jameica.gui.util.Container)`

### checkPassword

protected boolean checkPassword(String password)

Overrides:
  `checkPassword` in class `de.willuhn.jameica.gui.dialogs.PasswordDialog`
See Also:
  - `PasswordDialog.checkPassword(java.lang.String)`